.font-hidden {
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}

.xinghui-user-block-title {
    position: relative;
    width: 100%;
    margin-top: 5px;
    padding: 0 0 14px 20px !important;
    border-bottom: 1px solid #f5f6f7;
    color: #18191a;
    font-size: 16px;
    font-weight: 600;
}

.xinghui-user-block-title::before,
.xinghui-user-block-title::after {
    position: absolute;
    top: 0;
    bottom: 10%;
    width: 3px;
    height: 16px;
    background: var(--theme-color);
    content: "";
    transform: skewX(-15deg);
    transition: .4s;
}

.xinghui-user-block-title::before {
    left: 4px;
}

.xinghui-user-block-title::after {
    left: 12px;
}

.xinghui-user-block-item {
    align-items: center;
}

.xinghui-user-block-more {
    margin-bottom: -5px;
    text-align: center;
}

.xinghui-user-block-rules {
    padding: 0 20px;
    margin-bottom: 20px;
}

.xinghui-user-block-rules p {
    margin: 0 0 10px;
}

.xinghui-user-block-describe {
    position: relative;
    margin-top: 10px;
    border: 1px dashed #dcdfe6;
    line-height: 26px;
}

.xinghui-user-block-describe-title {
    position: absolute;
    top: 0;
    left: 8px;
    max-width: 220px;
    padding: 0 5px;
    overflow: hidden;
    background: var(--main-bg-color);
    font-weight: 500;
    text-overflow: ellipsis;
    transform: translateY(-50%);
    white-space: nowrap;
}

.xinghui-user-block-table-scroll {
    width: 100%;
    padding: 18px 15px 0;
    overflow-x: auto;
    color: #606266;
    white-space: nowrap;
}

.xinghui-user-block-table-scroll::-webkit-scrollbar {
    display: none;
}

.xinghui-user-block-table {
    width: 100%;
    max-width: 100%;
    margin-bottom: 18px;
    border-top: 1px solid #ebeef5;
    border-left: 1px solid #ebeef5;
    color: #909399;
    table-layout: fixed;
}

.xinghui-user-block-table th,
.xinghui-user-block-table td {
    padding: 8px;
    border-right: 1px solid #ebeef5;
    border-bottom: 1px solid #ebeef5;
    text-align: center;
}

.xinghui-user-block-table th {
    background: #ebeef5;
    font-weight: 500;
}

.xinghui-user-block-table td {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.xinghui-user-block-appeal {
    color: var(--theme-color);
}

.xinghui-user-block-pagination {
    display: block;
    margin: 0 0 18px;
    text-align: center;
    font-size: 12px;
}

.xinghui-user-block-pagination ul {
    display: inline-block !important;
    padding: 0;
    margin: 0;
}

.xinghui-user-block-pagination li {
    display: inline;
}

.xinghui-user-block-pagination a,
.xinghui-user-block-pagination span {
    display: inline-block;
    margin: 0 2px;
    padding: 8px 12px;
    border-radius: 2px;
    background-color: #ddd;
    color: #666;
    opacity: .88;
}

.xinghui-user-block-pagination a:hover,
.xinghui-user-block-pagination a:focus {
    opacity: 1;
}

.xinghui-user-block-pagination .active span {
    background-color: #000;
    color: #fff;
    cursor: default;
}

.xinghui-user-block-ending {
    color: var(--theme-color);
    text-align: center;
}

.dark-theme .xinghui-user-block-title,
body.dark-theme .xinghui-user-block-title {
    color: var(--main-color);
    border-bottom-color: rgba(255, 255, 255, .08);
}

.dark-theme .xinghui-user-block-table,
.dark-theme .xinghui-user-block-table th,
.dark-theme .xinghui-user-block-table td,
body.dark-theme .xinghui-user-block-table,
body.dark-theme .xinghui-user-block-table th,
body.dark-theme .xinghui-user-block-table td {
    border-color: rgba(255, 255, 255, .1);
}

.dark-theme .xinghui-user-block-table th,
body.dark-theme .xinghui-user-block-table th {
    background: rgba(255, 255, 255, .08);
}

@media screen and (max-width: 700px) {
    .xinghui-user-block-table {
        width: 720px;
    }
}
